> ## Documentation Index
> Fetch the complete documentation index at: https://docs.abbyy.com/llms.txt
> Use this file to discover all available pages before exploring further.

# 特定のトランザクションに画像を取り込むために、ワンタイム認証トークン付きでモバイル入力を実行するリンクを生成します

> リンクは、実行中ではないトランザクションに対してリクエストできます。
リンク内のトークンによって、ファイルを追加して特定のトランザクションを開始する権限のみが付与され、処理結果を取得することはできません。



## OpenAPI

````yaml /ja/openapi.json post /api/publicapi/v1/transactions/{transactionId}/mobileInputLink
openapi: 3.0.4
info:
  description: '環境: 本番環境<br>製品バージョン: 1.6.17'
  title: Vantage processing REST API
  version: '1.0'
  x-application-version: 1.6.17
servers:
  - description: 本番環境（米国リージョン）
    url: https://vantage-us.abbyy.com
  - description: 本番環境（ヨーロッパリージョン）
    url: https://vantage-eu.abbyy.com
  - description: 本番環境（オーストラリアリージョン）
    url: https://vantage-au.abbyy.com
security:
  - OAuth2Security:
      - global.wildcard
      - openid
      - permissions
paths:
  /api/publicapi/v1/transactions/{transactionId}/mobileInputLink:
    post:
      tags:
        - Transactions
      summary: 特定のトランザクションに画像を取り込むために、ワンタイム認証トークン付きでモバイル入力を実行するリンクを生成します
      description: |-
        リンクは、実行中ではないトランザクションに対してリクエストできます。
        リンク内のトークンによって、ファイルを追加して特定のトランザクションを開始する権限のみが付与され、処理結果を取得することはできません。
      operationId: GenerateMobileInputLink
      parameters:
        - description: トランザクション識別子です。トランザクションの作成に成功すると、レスポンスで返されます。
          in: path
          name: transactionId
          required: true
          schema:
            format: uuid
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: >-
                  #/components/schemas/Abbyy.Vantage.PublicApi.Contract.Transactions.Results.MobileInputLinkResult
            text/json:
              schema:
                $ref: >-
                  #/components/schemas/Abbyy.Vantage.PublicApi.Contract.Transactions.Results.MobileInputLinkResult
            text/plain:
              schema:
                $ref: >-
                  #/components/schemas/Abbyy.Vantage.PublicApi.Contract.Transactions.Results.MobileInputLinkResult
          description: 新しいリンクが正常に作成されました
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails'
            text/json:
              schema:
                $ref: '#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails'
            text/plain:
              schema:
                $ref: '#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails'
          description: トランザクションの状態が不正なため、リンクを生成できません
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails'
            text/json:
              schema:
                $ref: '#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails'
            text/plain:
              schema:
                $ref: '#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails'
          description: アクセスが禁止されています
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails'
            text/json:
              schema:
                $ref: '#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails'
            text/plain:
              schema:
                $ref: '#/components/schemas/Microsoft.AspNetCore.Mvc.ProblemDetails'
          description: トランザクションが見つかりません
components:
  schemas:
    Abbyy.Vantage.PublicApi.Contract.Transactions.Results.MobileInputLinkResult:
      additionalProperties: false
      description: リンク生成結果
      properties:
        isShortLink:
          description: モバイル入力リンクは、元のモバイル入力リンクを指す短縮リンクですか。
          type: boolean
        mobileInputLink:
          description: 現在のトランザクション用のワンタイム認証トークンを含むモバイル入力リンク。
          nullable: true
          type: string
        transactionId:
          description: "トランザクション識別子です。\r\nトランザクションが正常に作成されると、そのレスポンスで受け取ることができます。"
          format: uuid
          type: string
      required:
        - transactionId
      type: object
    Microsoft.AspNetCore.Mvc.ProblemDetails:
      additionalProperties: {}
      properties:
        detail:
          nullable: true
          type: string
        instance:
          nullable: true
          type: string
        status:
          nullable: true
          type: string
        title:
          nullable: true
          type: string
        type:
          nullable: true
          type: string
      type: object
  securitySchemes:
    OAuth2Security:
      flows:
        authorizationCode:
          authorizationUrl: https://vantage-preview.abbyy.com/auth2/connect/authorize
          scopes:
            global.wildcard: Global wildcard
            openid: User Id
            permissions: User permissions
          tokenUrl: https://vantage-preview.abbyy.com/auth2/connect/token
      type: oauth2

````